/*
    Copyright 2020, Prusa Research a.s.

    This file is part of touch-ui

    touch-ui is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

import QtQuick 2.12
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.5
import PrusaComponents 1.0

PrusaPage {
    id: root
    title: qsTr("Continue")
    back_button_enabled: false
    name: "continue"
    screensaver_enabled: false
    pictogram: Theme.pictogram.yes

    property string text: ""

    Column {
        x: 55
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -40
        width: 490

        Text {
            width: parent.width
            text: root.text
            wrapMode: Text.Wrap
        }
    }

    Row {
        anchors {
            right: parent.right
            verticalCenter: parent.verticalCenter
            verticalCenterOffset: -40
            rightMargin: 55
        }
        spacing: 30

        PictureButton {
            name: "Continue"
            text: qsTr("Continue")
            pictogram: Theme.pictogram.yes
            backgroundColor: "green"
            onClicked: () => {
                view.pop()
            }
        }
    }

    ImageVersionText {}
}
